'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _typeof = typeof Symbol === "function" && typeof Symbol.iterator === "symbol" ? function (obj) { return typeof obj; } : function (obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; };

var objectEquals = exports.objectEquals = function objectEquals(object1, object2) {
  if (object1 === null || object2 === null || (typeof object1 === 'undefined' ? 'undefined' : _typeof(object1)) !== 'object' || (typeof object2 === 'undefined' ? 'undefined' : _typeof(object2)) !== 'object') {
    return object1 === object2;
  }
  var entries1 = Object.entries(object1);
  var entries2 = Object.entries(object2);
  if (entries1.length !== entries2.length) {
    return false;
  }
  for (var index = 0; index < entries1.length; index += 1) {
    if (entries1[index][0] !== entries2[index][0]) {
      return false;
    }
    var valueComparison = objectEquals(entries1[index][1], entries2[index][1]);
    if (!valueComparison) {
      return false;
    }
  }
  return true;
};